# OrcOpcode

## Functions

### orc_opcode_find_by_name

    OrcStaticOpcode *
    orc_opcode_find_by_name (const char * name)

Parameters:

`name` –
No description available
Returns (OrcStaticOpcode *) –
No description available

### orc_opcode_init

    void
    orc_opcode_init ()

Returns (void ) –
No description available

### orc_opcode_register_static

    int
    orc_opcode_register_static (OrcStaticOpcode * sopcode,
                                char * prefix)

Parameters:

`sopcode` –
No description available
`prefix` –
No description available
Returns (int ) –
No description available

### orc_opcode_set_find_by_name

    int
    orc_opcode_set_find_by_name (OrcOpcodeSet * opcode_set,
                                 const char * name)

Parameters:

`opcode_set` –
No description available
`name` –
No description available
Returns (int ) –
No description available

### orc_opcode_set_get

    OrcOpcodeSet *
    orc_opcode_set_get (const char * name)

Parameters:

`name` –
No description available
Returns (OrcOpcodeSet *) –
No description available

### orc_opcode_set_get_nth

    OrcOpcodeSet *
    orc_opcode_set_get_nth (int  opcode_major)

Parameters:

`opcode_major` –
No description available
Returns (OrcOpcodeSet *) –
No description available

## Structures

### OrcOpcodeSet

The OrcOpcodeSet structure has no public members

### OrcStaticOpcode

    struct _OrcStaticOpcode {
      char name[16];
      unsigned int flags;
      int dest_size[ORC_STATIC_OPCODE_N_DEST];
      int src_size[ORC_STATIC_OPCODE_N_SRC];
      OrcOpcodeEmulateNFunc emulateN;
    };

#### Fields

`name` (char[16] ) –
No description available
`flags` (unsigned int ) –
No description available
`dest_size` (int[2] ) –
No description available
`src_size` (int[4] ) –
No description available
`emulateN` (OrcOpcodeEmulateNFunc) –
No description available

The results of the search are